## software-properties 0.92.9

=== tests/Makefile ===
#!/usr/bin/make

all: check

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "Testing $$file $$PWD with python 2"; \
	    	python $$file; \
		echo "Testing $$file $$PWD with python 3"; \
	    	python3 $$file; \
	    fi \
	done

=== debian/changelog ===
software-properties (0.92.9) quantal; urgency=low

  * Call GnuPG with an appropriate --homedir argument (LP: #1060335)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 02 Oct 2012 11:57:31 -0600

software-properties (0.92.8) quantal; urgency=low

  * lp:~mvo/software-properties/recv-key-lp1016643:
    - ensure fingerprint check after recv-key (LP: #1016643)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Oct 2012 19:33:35 +0200

software-properties (0.92.7) quantal; urgency=low

  [ Oliver Grawert ]
  * make sure a capitalized line for "Prompt=" lands in
    /etc/update-manager/release-upgrades to prevent ucf questions
    (LP: #1045579)

  [ Michael Vogt ]
  * softwareproperties/ppa.py: remove no longer applying comment (thanks to
    Zooko)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 01 Oct 2012 11:20:32 +0200

software-properties (0.92.6) quantal; urgency=low

  * Make DEP-8 tests depend on python-dbus, python-pycurl, and
    python3-pycurl.
  * Make software-properties-common depend on ca-certificates, for
    softwareproperties.ppa.get_ppa_info_from_lp (LP: #1052267).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Sep 2012 14:14:00 +0100

software-properties (0.92.5) quantal; urgency=low

  [ Colin Watson ]
  * add-apt-repository:
    - Force output encoding to UTF-8 even in non-UTF-8 locales
      (LP: #1041431).

  [ sampo555 ]
  * Construct the path of a PPA source file properly (LP: #972617, #994515,
    #1018327, #1037916).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Sep 2012 14:41:12 +0100

software-properties (0.92.4) quantal; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: also cover the cases where
    vendor or model can't be identified; replace those unavailable strings with
    "Unknown". (LP: #1028388)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 11 Sep 2012 08:26:25 -0400

software-properties (0.92.3) quantal; urgency=low

  * lp:~mvo/software-properties/dep8:
    - add dep8 control

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Sep 2012 09:51:29 +0200

software-properties (0.92.2) quantal; urgency=low

  [ Colin Watson ]
  * debian/rules:
    - Ensure that scripts end up with #! /usr/bin/python3, not #!
      /usr/bin/python3.X.

  [ Robert Roth ]
  * Import pycurl before using it (LP: #1044674).
  * Remove QString as py3 uses native python string (LP: #1036588).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Sep 2012 13:33:42 +0100

software-properties (0.92.1) quantal; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - add missing import to unblock startup (LP: #1042180)

 -- Kiwinote <kiwinote@gmail.com>  Tue, 28 Aug 2012 15:22:59 +0200

software-properties (0.92) quantal; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-properties/lp1030970 :
    - Fixed the source code checkbox and the submit statistics 
      checkbox labels to be left-aligned instead of centered.
  * lp:~evfool/software-properties/lp997371:
    - support enabling a component via "apt-add-repository componentname"
      (e.g. "apt-add-repository multiverse") LP: #997371

  [ Mathieu Trudel-Lapierre ]
  * Reinstate pycurl to use for getting PPA information from Launchpad, since
    it can actually verify SSL certificates with python2. Also set
    LAUNCHPAD_PPA_CERT so that it's a valid path to the system CA certificates
    bundle to use for urllib and pycurl. (LP: #1036839)
    - CVE-2012-0955
  
  [ Gabor Kelemen ]
  * lp:~kelemeng/software-properties/bug1035544:
    - fix a bunch of missing i18n strings (LP: #1035544)
  
  [ Michael Vogt ]
  * lp:~mvo/software-properties/remove-popcon:
    - remove the "statistics" page as this is no longer used
      (LP: #1025436)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Aug 2012 09:56:47 +0200

software-properties (0.91) quantal; urgency=low

  * debian/control:
    - add dep on python3-gi
  * data/software-properties-gtk.desktop.in:
    - remove OnlyShowIn:
      for xubuntu and other flavors which used jockey, so that they still
      have a driver installation tool

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Jul 2012 10:12:51 +0200

software-properties (0.90) quantal; urgency=low

  * data/software-properties-gtk.desktop.in:
    - show software-properties in gnome-control-center
  * debian/control:
    - bump Standards-Version to latest

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Jul 2012 13:57:45 +0200

software-properties (0.89) quantal; urgency=low

  * Add the jockey replacement tab for software-properties-gtk:
    - finish the work started by cyphermox (LP: #1021733)
    - add dep on latest ubuntu-drivers-common for the backend
  * Wrap all dbus calls under a try/except catch for unauthorized calls.
    (original work by Edward Donovan) (LP: #828850)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Jul 2012 11:28:09 +0200

software-properties (0.88) quantal; urgency=low

  * debian/control: Add missing python3-software-properties dependency to
    software-properties-common, so that add-apt-repository can actually work.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 10:46:27 +0200

software-properties (0.87) quantal; urgency=low

  * Restore apt-add-repository symlink.
  * Handle removal of cmp builtin from Python 3 (LP: #1022665).
  * Open NamedTemporaryFile in text mode when writing text to it
    (LP: #1021639).
  * Fix display glitch in add-apt-repository that caused "None" to be
    printed for any PPA without a description.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2012 09:56:14 +0100

software-properties (0.86) quantal; urgency=low

  [ Colin Watson ]
  * Open /dev/urandom in binary mode.
  * Start producing python-software-properties again, until such time as it
    has no reverse-dependencies.

  [ Mathieu Trudel-Lapierre ]
  * Fix things so that reverse-depends can still work with Python 2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 05 Jul 2012 11:50:44 -0400



=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 9),
               libxml-parser-perl, 
               scrollkeeper, 
               intltool, 
               python-all (>= 2.6.6-3~),
               python-distutils-extra (>= 1.90),
               python3-all,
               python3-distutils-extra,
               dh-translations
Standards-Version: 3.9.3
Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
XS-Testsuite: autopkgtest

Package: python-software-properties
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>=
 0.6.20ubuntu16), lsb-release,
 unattended-upgrades, iso-codes
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: python3-software-properties
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-apt (>=
 0.6.20ubuntu16), lsb-release, unattended-upgrades, iso-codes
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: software-properties-common
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3,
 python3-gi, gir1.2-glib-2.0, python3-dbus, python3-software-properties,
 ca-certificates
Breaks: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)
Replaces: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)
Description: manage the repositories that you install software from (common)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains the common files for software-properties like the
 D-Bus backend.

Package: software-properties-gtk
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3,
 python3-software-properties, 
 python3-gi,
 gir1.2-gtk-3.0,
 python3-aptdaemon.gtk3widgets,
 software-properties-common,
 ubuntu-drivers-common (>= 1:0.2.67),
 python3-gi,
Description: manage the repositories that you install software from (gtk)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Section: kde
Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-pyqt4,
 python3-pykde4, python3-software-properties, qapt-batch,
 software-properties-common
Description: manage the repositories that you install software from (kde)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt/KDE based graphical interface.

=== debian/rules ===
#!/usr/bin/make -f

PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ --with python2,python3,translations

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(PY3); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PY3); do \
               $$python setup.py install --root=$(CURDIR)/debian/tmp \
						--install-layout=deb; \
	done

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-dbus, python-pycurl, python3-pycurl

## software-properties 0.92.9.3

=== debian/changelog ===
software-properties (0.92.9.3) quantal-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - softwareproperties/dbus/SoftwarePropertiesDBus.py: pass
      system-bus-name as a subject instead of pid so policykit can get the
      information from the system bus.
    - CVE-2013-1061
  * This package does _not_ contain the changes from 0.92.9.1 in -proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 10:06:46 -0400

## software-properties 0.92.14.1

=== debian/changelog ===
software-properties (0.92.14.1) raring; urgency=low

  * Build-depend on python-setuptools.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 20:01:57 +0100

software-properties (0.92.14) raring; urgency=low

  [ Stephen Kraemer ]
  * softwareproperties/gtk/SimpleGtkBuilderApp.py: Use GtkApplication to make this application a singleton.
    (LP: #1058070)

  [ Andrea Corbellini ]
  * Have add-apt-repository disable new deb-src entries by default (use -s
    to override this behavior).  LP: #621977
  
  [ Michael Vogt ]
  * test cleanups, i.e. python{,3} setup.py test works now instead of
    using a custom makefile

  [ Alberto Milone ]
  * Detect the current kernel and install the linux metapackage
    for it when we install a driver which depends on dkms. This uses a
    function provided by ubuntu-drivers-common.
  * Depend on ubuntu-drivers-common >= 1:0.2.75.
  
  [ Robert Roth  ]
  * Do not encode the example source URL to avoid adding the 'b' prefix 
    (lp: #1081279)
  * Do not use Shell=True unnecessarily in subprocess.Popen (lp: #1060192)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Feb 2013 18:27:30 +0100

software-properties (0.92.13) raring; urgency=low

  * data/gtkbuilder/main.ui: Fixed alignment of combo boxes in Updates tab
    (LP: #1058059)

 -- Michael Spencer <spencers1993@gmail.com>  Tue, 06 Nov 2012 09:45:12 -0600

software-properties (0.92.12) raring; urgency=low

  * Add software-properties-gnome.desktop.in to keep Software Sources
    from showing in System Settings on GNOME

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Nov 2012 22:13:18 -0500

software-properties (0.92.11) raring; urgency=low

  * Force the python3 shebang to /usr/bin/python3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Nov 2012 10:05:11 +0000

software-properties (0.92.10) raring; urgency=low

  * Remove unused import from tests/test_lp.py.
  * Add python-mock and python3-mock as dependencies of the DEP-8 test
    suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Oct 2012 13:51:14 +0000

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-dbus, python-pycurl, python3-pycurl, python-mock, python3-mock

## software-properties 0.92.17

=== debian/changelog ===
software-properties (0.92.17) raring; urgency=low

  * data/software-properties-gnome.desktop.in:
    - Use new "Software & Updates" name on GNOME too

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Mar 2013 01:59:58 -0400

software-properties (0.92.16) raring; urgency=low

  * Sync up DEP-8 test metadata with the fact that tests are now run via
    setup.py, not make (LP: #1153989).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Mar 2013 11:08:05 +0000

software-properties (0.92.15) raring; urgency=low

  [ Manish Sinha (मनीष सिन्हा) ]
  * lp:~manishsinha/software-properties/fix-874766-updates-tab-failed-auth:
    - Fixes LP: #874766 where after a failed authentication on Updates tab
      didn't revert the older values in ComboBox

  [ Brian Murray ]
  * To add-apt-repository add a patch from Winfield Trail for when the case a
    PPA does not have a signing key yet (LP: #968756)

  [ Shih-Yuan Lee (FourDollars) ]
  * Fix a typo in CountryInformation.py. (LP: #1138121)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Mar 2013 09:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                intltool, 
                python-all (>= 2.6.6-3~),
                python-distutils-extra (>= 1.90),
+               python-setuptools,
                python3-all,
                python3-distutils-extra,
+               python3-setuptools,
                dh-translations
 Standards-Version: 3.9.3
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
@@ -59,7 +61,7 @@
  gir1.2-gtk-3.0,
  python3-aptdaemon.gtk3widgets,
  software-properties-common,
- ubuntu-drivers-common (>= 1:0.2.67),
+ ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-dbus, python-pycurl, python3-pycurl, python-mock, python3-mock, python-distutils-extra, python-setuptools, python3-distutils-extra, python3-setuptools

## software-properties 0.92.17.3

=== debian/changelog ===
software-properties (0.92.17.3) raring-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - softwareproperties/dbus/SoftwarePropertiesDBus.py: pass
      system-bus-name as a subject instead of pid so policykit can get the
      information from the system bus.
    - CVE-2013-1061

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 10:05:28 -0400

software-properties (0.92.17.1) raring; urgency=low

  * Make Restart button restart the system, not shutdown it (LP: #1047424).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 30 Apr 2013 19:05:09 +0400

## software-properties 0.92.25debian1

=== debian/changelog ===
software-properties (0.92.25debian1) unstable; urgency=low

  * Merge with Ubuntu saucy.
  * Disable Ubuntu stuff like drivers and new releases (Closes: #666869)

 -- Julian Andres Klode <jak@debian.org>  Fri, 23 Aug 2013 19:16:34 +0200

software-properties (0.92.25) saucy; urgency=low

  * Use python-distutils-extra in auto mode
  * Drop unused and obsolete help/

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Jul 2013 21:40:58 -0400

software-properties (0.92.24) saucy; urgency=low

  * tests/test_dbus.py: Be slightly more tolerant in test_updates_interval,
    in order to work regardless of which tests were previously run.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Jun 2013 12:30:27 +0100

software-properties (0.92.23) saucy; urgency=low

  * tests/test_dbus.py: Clean up leakage between tests, and some tests that
    relied on leakage.
  * tests/test_lp.py: Skip online tests unless TEST_ONLINE environment
    variable is set.
  * debian/tests/run-tests: Force the tests to run in a UTF-8 locale, at
    least for now; tests/test_dbus.py gets unhappy otherwise.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jun 2013 22:42:20 +0100

software-properties (0.92.22) saucy; urgency=low

  [ Colin Watson ]
  * debian/tests/run-tests: Show Xvfb log output if xvfb-run exits non-zero
    (which might mean Xvfb failed to start, or might mean tests failed).
  * debian/tests/run-tests: Work around LP #972324 by unsetting TMPDIR for
    xvfb-run and setting it again for the inferior command.
  * debian/tests/control: Depend on python-gi and python3-gi for test_dbus.

  [ Jeremy Bischa ]
  * Add a scalable icon which looks better in GNOME Shell.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Jun 2013 15:38:29 -0400

software-properties (0.92.21) saucy; urgency=low

  * Copy software-properties icon from Humanity (and Elementary)
    to replace the dated and unclear icon used if your icon theme doesn't
    include a replacement icon

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 24 Jun 2013 14:15:40 +0200

software-properties (0.92.20) saucy; urgency=low

  [ Matthew Paul Thomas ]
  * Fix spelling of "occurred".

  [ Sami Jaktholm ]
  * softwareproperties/ppa.py
    - Use PycURL only with python2, not if urllib raises an unexpected
      exception in python3. (LP: #1111291)
    - Catch http.client.HTTPExceptions from urlopen and raise a PPAException
      to show a formatted error message instead of traceback.

  [ Robert Roth ]
  * softwareproperties/SoftwarePropterties.py: Remove white space from
    comments for sources (LP: #1185144)
  * Use two-line items in other sources (LP: #930827)
  * Deprecate --enable-component option, superseded by add-apt-repository.
    (LP: #1170114)

  [ Martin Pitt ]
  * Replace obsolete "scrollkeeper" build dependency with rarian-compat.
  * debian/control: Bump Standards-Version to 3.9.4.
  * debian/tests/run-tests: Make failures in python 2 tests fatal.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 24 Jun 2013 12:52:34 +0200

software-properties (0.92.19) saucy; urgency=low

  [ Scott Kostyshak ]
  * Improve error message when more than one repository argument is given.
    (LP: #1178015)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 28 May 2013 15:50:02 -0400

software-properties (0.92.18) saucy; urgency=low

  [ Dmitry Shachnev ]
  * Make Restart button restart the system, not shutdown it (LP: #1047424).

  [Johan Kiviniemi]
  * Add PPA keys to /etc/apt/trusted.gpg.d/{owner}-{ppa}.gpg
    (LP: #1182932)
  
  [ Sami Jaktholm ]
  * software-properties-gtk: Open APT cache and detect drivers in a
    background thread asynchronously when user opens the Additional
    Drivers tab. This speeds up the startup considerably.
    Fixes LP: #1073728.
  
  [ Michael Vogt ]
  * remove pre-build hook, autopkgtest will take care of running
    the tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 May 2013 08:45:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: software-properties
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
+Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 9),
                libxml-parser-perl, 
-               scrollkeeper, 
                intltool, 
                python-all (>= 2.6.6-3~),
                python-distutils-extra (>= 1.90),
                python-setuptools,
                python3-all,
                python3-distutils-extra,
-               python3-setuptools,
-               dh-translations
-Standards-Version: 3.9.3
-Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
+               python3-setuptools
+Standards-Version: 3.9.4
+Vcs-Bzr: http://code.launchpad.net/~juliank/software-properties/debian
 XS-Testsuite: autopkgtest
 
 Package: python-software-properties
@@ -61,7 +59,6 @@
  gir1.2-gtk-3.0,
  python3-aptdaemon.gtk3widgets,
  software-properties-common,
- ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3
 
 %:
-	dh $@ --with python2,python3,translations
+	dh $@ --with python2,python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -25,3 +25,6 @@
                $$python setup.py install --root=$(CURDIR)/debian/tmp \
 						--install-layout=deb; \
 	done
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## software-properties 0.92.25debian1+deb8u1

=== debian/changelog ===
software-properties (0.92.25debian1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * CVE-2020-15709: malicious repo could send ANSI sequences to terminal;
    add-apt-repository: strip ANSI sequences from the description.

 -- Sylvain Beucler <beuc@debian.org>  Sat, 22 Aug 2020 16:14:15 +0200

## software-properties 0.92.27

=== debian/changelog ===
software-properties (0.92.27) saucy; urgency=low

  * support adding cloud-archive repositories using syntax like
    cloud-archive:havana (LP: #1233486)

 -- Scott Moser <smoser@ubuntu.com>  Sun, 06 Oct 2013 13:30:54 -0400

software-properties (0.92.26) saucy; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - softwareproperties/dbus/SoftwarePropertiesDBus.py: pass
      system-bus-name as a subject instead of pid so policykit can get the
      information from the system bus.
    - CVE-2013-1061

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Sep 2013 13:17:35 -0400

## software-properties 0.92.28

=== debian/changelog ===
software-properties (0.92.28) saucy; urgency=low

  [ Bruno Nova ]
  * Ensure package sources are refreshed after modification
    Fixes Bug LP: #1075537 (and, indirectly, Bug LP: #782953 it seems).

  [ Brian Murray ]
  * Restore the removal of a line feed from a source (LP: #1239893)

  [ Jean-Baptiste Lallement ]

  * debian/manpages/add-apt-repository.1: Documented options -m and -s of
    add-apt-repository (LP: #1229092)

  [ Sebastien Bacher ]
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: don't use the 
    gtk-logout-helper command, it has been deprecated and dropped from the
    indicator-session binary, use gnome-session instead (lp: #1241210)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Oct 2013 11:16:21 -0400

## software-properties 0.92.28.1

=== debian/changelog ===
software-properties (0.92.28.1) saucy-proposed; urgency=medium

  * software-properties-dbus: force C.utf-8 locale if C is used
    to ensure utf-8 support when reading sources.list LP: #1069019

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 May 2014 09:52:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: software-properties
 Section: admin
 Priority: optional
-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 9),
                libxml-parser-perl, 
                intltool, 
@@ -10,9 +10,10 @@
                python-setuptools,
                python3-all,
                python3-distutils-extra,
-               python3-setuptools
+               python3-setuptools,
+               dh-translations
 Standards-Version: 3.9.4
-Vcs-Bzr: http://code.launchpad.net/~juliank/software-properties/debian
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
 XS-Testsuite: autopkgtest
 
 Package: python-software-properties
@@ -39,7 +40,7 @@
 Package: software-properties-common
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3,
- python3-gi, gir1.2-glib-2.0, python3-dbus, python3-software-properties,
+ python3-gi, gir1.2-glib-2.0, python3-dbus, python3-software-properties (= ${binary:Version}),
  ca-certificates
 Breaks: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)
 Replaces: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)
@@ -54,11 +55,12 @@
 Package: software-properties-gtk
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3,
- python3-software-properties, 
+ python3-software-properties (= ${binary:Version}),
  python3-gi,
  gir1.2-gtk-3.0,
  python3-aptdaemon.gtk3widgets,
  software-properties-common,
+ ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.
@@ -71,7 +73,7 @@
 Architecture: all
 Section: kde
 Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-pyqt4,
- python3-pykde4, python3-software-properties, qapt-batch,
+ python3-pykde4, python3-software-properties (= ${binary:Version}), qapt-batch,
  software-properties-common
 Description: manage the repositories that you install software from (kde)
  This software provides an abstraction of the used apt repositories.

## software-properties 0.92.36

=== debian/changelog ===
software-properties (0.92.36) trusty; urgency=medium

  * software-properties-kde : Work around crash in sip by skipping the
    + destructors of SIP objects. (LP: #1307170)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 14 Apr 2014 11:36:13 +0200

software-properties (0.92.35) trusty; urgency=low

  * Add "Additional Drivers" desktop file for the non {GNOME,Unity,KDE}
    flavors (LP: #1060543) - thanks to Unity193

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Apr 2014 08:30:41 +0200

software-properties (0.92.34) trusty; urgency=medium

  * gnupg version 1.4.16 was changed not to require a trustdb with
    --trust-model set to always

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Feb 2014 13:29:58 -0800

software-properties (0.92.33) trusty; urgency=medium

  * The new gtk doesn't wrap label by itself, do that for the drivers text

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Feb 2014 16:10:24 +0100

software-properties (0.92.32) trusty; urgency=low

  * data/software-properties-gtk.desktop.in:
    - Show in both GNOME control center and Unity control center (LP: #1257505)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 Jan 2014 16:44:57 +1300

software-properties (0.92.31) trusty; urgency=medium

  * Stop using deprecated GObject constructors with positional arguments.
    (https://wiki.gnome.org/PyGObject/InitializerDeprecations)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jan 2014 12:23:07 +0100

software-properties (0.92.30) trusty; urgency=low

  [ Brian Murray ]
  * Remove unneeded setting of modified_sourceslist.  Thanks to Bruno Nova
    for the patch.
  
  [ Sebastien Bacher ]
  * do not crash for packages without a candidate

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Jan 2014 19:38:47 +0100

software-properties (0.92.29) trusty; urgency=low

  * debian/control: 
    - depends on python-apt-common (>= 0.9), which is the version containing 
      the trusty definition, without it you can't use add-apt-repository 
      without error (lp: #1257765)
    - depends on python-pycurl, ppa.py uses it (lp: #1249080)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Dec 2013 16:36:32 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>=
- 0.6.20ubuntu16), lsb-release,
+ 0.6.20ubuntu16), python-pycurl, lsb-release,
  unattended-upgrades, iso-codes
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
@@ -31,7 +31,7 @@
 Section: python
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-apt (>=
- 0.6.20ubuntu16), lsb-release, unattended-upgrades, iso-codes
+ 0.6.20ubuntu16), python3-pycurl, lsb-release, unattended-upgrades, iso-codes
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
@@ -40,8 +40,8 @@
 Package: software-properties-common
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3,
- python3-gi, gir1.2-glib-2.0, python3-dbus, python3-software-properties (= ${binary:Version}),
- ca-certificates
+ python3-gi, gir1.2-glib-2.0, python-apt-common (>= 0.9), python3-dbus, 
+ python3-software-properties (= ${binary:Version}), ca-certificates
 Breaks: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)
 Replaces: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)
 Description: manage the repositories that you install software from (common)

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3
 
 %:
-	dh $@ --with python2,python3
+	dh $@ --with python2,python3,translations
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-dbus, python-pycurl, python3-pycurl, python-mock, python3-mock, python-distutils-extra, python-setuptools, python3-distutils-extra, python3-setuptools, python-gi, python3-gi

## software-properties 0.92.37.8

=== debian/changelog ===
software-properties (0.92.37.8) trusty; urgency=medium

  * software-properties-gtk:
    - fix the backend code to set the gnome debconf frontend, without which
      libgtk2-perl goes unused.
    - depend on libgtk2-perl to ensure it's available, since it was not seeded
      on the desktop at release time.  This is only a Recommends: in zesty,
      but we need to ensure this isn't ignored on upgrade.
    LP: #1679784.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 16:28:45 -0700

software-properties (0.92.37.7) trusty-proposed; urgency=medium

  * cloudarchive: Enable support for the Mitaka Ubuntu Cloud Archive on
    14.04 (LP: #1531225).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jan 2016 14:31:11 -0500

software-properties (0.92.37.6) trusty-proposed; urgency=medium

  * If a driver package depends on dkms and the correct linux meta package is
    already installed don't uninstall it. (LP: #1506169)

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Oct 2015 16:56:42 -0700

software-properties (0.92.37.5) trusty-proposed; urgency=medium

  * cloudarchive: Enable support for the Liberty Ubuntu Cloud Archive on
    14.04 (LP: #1472586).
  * Revert SRU changes for "fix importing keys from path with special chars"
    due to verification-failed in trusty-proposed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Sep 2015 12:31:11 -0400

software-properties (0.92.37.4) trusty-proposed; urgency=medium

  [ Bruno Nova ]
  * fix importing keys from path with special chars
    (LP: #1381050)
  * fix key drag-and-drop (LP: #1383289)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Jul 2015 09:53:07 +0200

software-properties (0.92.37.3) trusty-proposed; urgency=medium

  * cloudarchive: Enable support for the Kilo Ubuntu Cloud Archive on
    14.04 (LP: #1412465).

 -- James Page <james.page@ubuntu.com>  Mon, 19 Jan 2015 15:08:32 +0000

software-properties (0.92.37.2) trusty-proposed; urgency=medium

  * cloudarchive: Teach cloud-archive: prefix which Ubuntu Cloud Archive's
    map to which Ubuntu releases, adding support for Juno on 14.04
    (LP: #1350291).
  * cloudarchive: Tidy messages to have correct capitalization.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Oct 2014 17:03:23 +0100

software-properties (0.92.37.1) trusty-proposed; urgency=low

  * software-properties-dbus:
    - do not crash if locale.setlocale() fails (LP: #1314660)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Apr 2014 16:42:55 +0200

software-properties (0.92.37) trusty-proposed; urgency=low

  * software-properties-dbus: force C.utf-8 locale if C is used
    to ensure utf-8 support when reading sources.list LP: #1069019

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Apr 2014 20:44:08 +0200

=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
  software-properties-common,
  ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
+ libgtk2-perl,
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

## software-properties 0.94

=== debian/changelog ===
software-properties (0.94) utopic; urgency=medium

  * If adding a PPA from a foreign distribution, use that distribution's
    current series as the codename.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 20 Sep 2014 01:14:22 +0100

software-properties (0.93.2) utopic; urgency=medium

  * Add pyflakes to autopkgtest dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2014 21:03:42 +0100

software-properties (0.93.1) utopic; urgency=low

  * fix autopkgtest 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Sep 2014 16:02:21 +0200

software-properties (0.93) utopic; urgency=low

  [ Michael Vogt ]
  * add more tests
  * pyflakes cleanup
  * make PPA suggestions work again by using the LP api
    directly instead of using python-launchpadlib (which is
    not available for py3)
  
  [ Mathieu Trudel-Lapierre ]
  * support distros like "ubuntu-rtm" in add-apt-repository

  [ James Page ]
  * cloudarchive: Teach cloud-archive: prefix which Ubuntu Cloud Archive's
    map to which Ubuntu releases, adding support for Juno on 14.04
    (LP: #1350291).
  * cloudarchive: Tidy messages to have correct capitalization.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Sep 2014 11:44:23 +0200

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-dbus, python-pycurl, python3-pycurl, python-mock, python3-mock, python-distutils-extra, python-setuptools, python3-distutils-extra, python3-setuptools, python-gi, python3-gi, pyflakes

## software-properties 0.96.4

=== debian/changelog ===
software-properties (0.96.4) vivid; urgency=medium

  * data/gtkbuilder/dialog-add.ui: set label width, that's needed with 
    the new gtk

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 30 Jan 2015 10:49:37 +0100

software-properties (0.96.3) vivid; urgency=medium

  * Add missing dbus-x11 test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jan 2015 11:25:02 +0100

software-properties (0.96.2) vivid; urgency=medium

  * cloudarchive: Enable support for the Kilo Ubuntu Cloud Archive on
    14.04 (LP: #1412465).

 -- James Page <james.page@ubuntu.com>  Mon, 19 Jan 2015 15:05:10 +0000

software-properties (0.96.1) vivid; urgency=low

  * fix autopkgtest failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Dec 2014 08:04:47 +0100

software-properties (0.96) vivid; urgency=medium

  * Port kde ui to Qt 5

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 22 Nov 2014 22:31:27 +0100

software-properties (0.95) vivid; urgency=medium

  [ Sebastien Bacher ]
  * list some extra known keys for translation, thanks feng-kylin 
    (lp: #1306494)

  [ Lars Uebernickel ]
  * lp:~larsu/software-properties/fix-wide-dialog:
    - dialog-cache-outofdate: make sure the label is wrapped at ~70
      chars
  
  [  Bruno Nova ]
  * lp:~brunonova/software-properties/lp1383289:
    - fix dragging a key into the list of keys in the "Authentication" 
      tab (LP: 1383289)
  * lp:~brunonova/software-properties/lp1381050:
    - fix import of keys with special chars (LP: #1381050)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Nov 2014 17:51:26 +0100

## software-properties 0.96.4.1

=== debian/changelog ===
software-properties (0.96.4.1) vivid-proposed; urgency=medium

  * If a driver package depends on dkms and the correct linux meta package is
    already installed don't uninstall it. (LP: #1506169)

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Oct 2015 16:49:00 -0700

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,6 @@
  software-properties-common,
  ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
- libgtk2-perl,
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
@@ -73,12 +72,12 @@
 Package: software-properties-kde
 Architecture: all
 Section: kde
-Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-pyqt4,
- python3-pykde4, python3-software-properties (= ${binary:Version}), qapt-batch,
+Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-pyqt5,
+ python3-software-properties (= ${binary:Version}), qapt-batch,
  software-properties-common
-Description: manage the repositories that you install software from (kde)
+Description: manage the repositories that you install software from (qt)
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
  vendor software sources.
  .
- This package contains a Qt/KDE based graphical interface.
+ This package contains a Qt based graphical interface.

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, dbus-x11, python-dbus, python-pycurl, python3-pycurl, python-mock, python3-mock, python-distutils-extra, python-setuptools, python3-distutils-extra, python3-setuptools, python-gi, python3-gi, pyflakes

## software-properties 0.96.13

=== debian/changelog ===
software-properties (0.96.13) wily; urgency=medium

  * Properly parse a ppa which has a leading slash, something which a lot of
    people seem use as an argument to add-apt-repository. (LP: #1426933)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Oct 2015 11:31:14 -0700

software-properties (0.96.12) wily; urgency=medium

  * Ensure we handle properly unexisting user/team name instead of crashing
    (LP: #1372086)
  * Protect us against invalid ppa format input (LP: #1494965, #1405950)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 13 Oct 2015 11:52:17 +0100

software-properties (0.96.11) wily; urgency=medium

  * softwareproperties/gtk/DialogCacheOutdated.py :
    - use different variable name in exception, python3 deletes the target
      (lp: #1496293)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Sep 2015 17:38:41 +0200

software-properties (0.96.10) wily; urgency=medium

  * cloudarchive: Enable support for the Liberty Ubuntu Cloud Archive on
    14.04 (LP: #1472586).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Sep 2015 12:35:10 -0400

software-properties (0.96.9) wily; urgency=medium

  * .assert_called() is not a valid mock method.  This silently passed in
    earlier versions of Python because mocks create attributes on the fly,
    however Python 3.5 throws AttributeErrors when the missing method
    starts with "assert" for exactly this reason.  Use assertTrue() on
    .called instead.
  * debian/control: Bump Standards-Version to 3.9.6.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 20 Aug 2015 16:46:12 -0400

software-properties (0.96.8) wily; urgency=medium

  * Fix syntax errors in the KDE frontend.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Jun 2015 12:11:40 +0100

software-properties (0.96.7) wily; urgency=low

  [ Matthew Paul Thomas ]
  * lp:~mpt/software-properties/1377742-markup:
    - Factors out Pango markup from translatable strings, to avoid problems
      like LP: #1377742. Also switches to using <small> for alert secondary
      text, rather than <b><big> for primary text.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Jun 2015 16:26:30 +0200

software-properties (0.96.6) wily; urgency=medium

  * SoftwareProperties.py: self.options can be None, don't crash if this is
    the case.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 05 Jun 2015 14:05:10 +0100

software-properties (0.96.5) wily; urgency=low

  [ Jay R. Wren ]
  * lp:~evarlast/software-properties/support-update:
    - add -u, --update option to apt-add-repository 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Jun 2015 09:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 9),
-               libxml-parser-perl, 
-               intltool, 
+               libxml-parser-perl,
+               intltool,
                python-all (>= 2.6.6-3~),
                python-distutils-extra (>= 1.90),
                python-setuptools,
@@ -12,7 +12,7 @@
                python3-distutils-extra,
                python3-setuptools,
                dh-translations
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
 XS-Testsuite: autopkgtest
 
@@ -40,7 +40,7 @@
 Package: software-properties-common
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3,
- python3-gi, gir1.2-glib-2.0, python-apt-common (>= 0.9), python3-dbus, 
+ python3-gi, gir1.2-glib-2.0, python-apt-common (>= 0.9), python3-dbus,
  python3-software-properties (= ${binary:Version}), ca-certificates
 Breaks: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)
 Replaces: python-software-properties (<< 0.85), python3-software-properties (<< 0.85)

## software-properties 0.96.13.1

=== debian/changelog ===
software-properties (0.96.13.1) wily-proposed; urgency=medium

  * If a driver package depends on dkms and the correct linux meta package is
    already installed don't uninstall it. (LP: #1506169)

 -- Brian Murray <brian@ubuntu.com>  Fri, 23 Oct 2015 10:58:33 -0700

## software-properties 0.96.20

=== debian/changelog ===
software-properties (0.96.20) xenial; urgency=medium

  * Add missing pyflakes3 test dependency (got split out recently).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Mar 2016 08:45:29 +0100

software-properties (0.96.19) xenial; urgency=medium

  * data/gtkbuilder/main.ui:
    - let the new label wrap when needed
  * softwareproperties/SoftwareProperties.py:
    - security upload autoinstallation doesn't require autodownload to
      be on, but check that unattended-upgrade is installed instead

  [ Dustin Kirkland ]
  * debian/control: LP: #831487
    - make unattended-upgrades a 'recommends', rather than a depends,
      such that it can be easily removed, without removing a bunch of
      other useful stuff

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Mar 2016 10:04:11 +0100

software-properties (0.96.18) xenial; urgency=medium

  * Create a new tab for developer options and move the proposed source to it.
    Since those updates can create issues they shouldn't be too easy to enable
    nor listed with the standard recommended sources.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Mar 2016 19:52:14 +0100

software-properties (0.96.17) xenial; urgency=medium

  * cloudarchive: Enable support for the Mitaka Ubuntu Cloud Archive on
    14.04 (LP: #1531225).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jan 2016 13:08:28 -0500

software-properties (0.96.16) xenial; urgency=medium

  * Reload sources when starting the GTK backend; since changes made by the
    user might otherwise be mangled as the DBus backend keeps running after
    the GUI is terminated. Patch from Sam Segers. (LP: #879943)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 23 Nov 2015 16:17:45 -0500

software-properties (0.96.15) xenial; urgency=medium

  [ Barry Warsaw ]
  * In ppa.py, shortcut_handler(), if a ShortcutException occurs, print
    the traceback to stderr and return None to allow other shortcut
    handlers to run.  (LP: #1510558)

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Oct 2015 11:25:08 -0700

software-properties (0.96.14) xenial; urgency=medium

  * If a driver package depends on dkms and the correct linux meta package is
    already installed don't uninstall it. (LP: #1506169)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Oct 2015 10:10:32 -0700

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>=
- 0.6.20ubuntu16), python-pycurl, lsb-release,
- unattended-upgrades, iso-codes
+ 0.6.20ubuntu16), python-pycurl, lsb-release, iso-codes
+Recommends: unattended-upgrades
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
@@ -31,7 +31,8 @@
 Section: python
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-apt (>=
- 0.6.20ubuntu16), python3-pycurl, lsb-release, unattended-upgrades, iso-codes
+ 0.6.20ubuntu16), python3-pycurl, lsb-release, iso-codes
+Recommends: unattended-upgrades
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, dbus-x11, python-dbus, python-pycurl, python3-pycurl, python-mock, python3-mock, python-distutils-extra, python-setuptools, python3-distutils-extra, python3-setuptools, python-gi, python3-gi, pyflakes, pyflakes3
